edu.sc.seis.sod.subsetter.channel

## Class ChannelOR

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalLoaderSubsetter
  - - edu.sc.seis.sod.subsetter.channel.CompositeChannelSubsetter
    - - edu.sc.seis.sod.subsetter.channel.ChannelLogicalSubsetter
      - - edu.sc.seis.sod.subsetter.channel.ChannelOR

- All Implemented Interfaces:
    SodElement, ChannelSubsetter, Subsetter

      public class ChannelOR
      extends ChannelLogicalSubsetter
      implements ChannelSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.channel.ChannelLogicalSubsetter

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalLoaderSubsetter

      `subsetters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelOR(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSuccess(StringTree[] reasons)`
    `boolean` | `shouldContinue(StringTree result)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.channel.ChannelLogicalSubsetter

      `accept, createSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.channel.CompositeChannelSubsetter

      `getLoader`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalLoaderSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.subsetter.channel.ChannelSubsetter

      `accept`

- - ### Constructor Detail

    - #### ChannelOR

          public ChannelOR(org.w3c.dom.Element config)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### shouldContinue

          public boolean shouldContinue(StringTree result)

      Specified by:
        `shouldContinue` in class `ChannelLogicalSubsetter`

    - #### isSuccess

          public boolean isSuccess(StringTree[] reasons)

      Specified by:
        `isSuccess` in class `ChannelLogicalSubsetter`